OTP::Transform::Point::Module::pdu Class Reference

The OTP::Transform::Point::Module::pdu class. More...

`#include <transform.h>`

Inheritance diagram for OTP::Transform::Point::Module::pdu:
[legend]

## Public Member Functions

void | iStream (PDU::Stream) override
| Transform::Point::Module::pdu::iStream. More...
Public Member Functions inherited from OTP::PDU::pdu
| pdu ()
| pdu::pdu
| ~pdu ()
| pdu::~pdu
Stream | stream ()
| pdu::stream More...
virtual size_t | streamSize () const override
| pdu::streamSize More...
virtual void | oStream (Stream) const override
| pdu::oStream More...
template<class T >
void | createData ()
| createData
Public Member Functions inherited from ACN::PDU::pdu_stream_object
virtual void | iStream (Stream)=0
| fill structure data from input stream
virtual void | oStream (Stream) const =0
| write structure data to output stream

## Additional Inherited Members

Public Attributes inherited from OTP::PDU::pdu
pdu_data * | data = nullptr
| data Message
uint16_t | vector = 0
| vector
Pdu | parent
| parent Message
Protected Attributes inherited from OTP::PDU::pdu
Stream | stream_
| buffer

## Detailed Description

The OTP::Transform::Point::Module::pdu class.

## Member Function Documentation

## iStream()

void OTP::Transform::Point::Module::pdu::iStream | ( | PDU::Stream | stream | ) |

overridevirtual

Transform::Point::Module::pdu::iStream.

Parameters

  stream |

Reimplemented from OTP::PDU::pdu.

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/otp/transform.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/otp/transform.cpp